Name:           perl-Data-ICal
Version:        0.16
Release:        1%{?dist}
Summary:        Generates iCalendar (RFC 2445) calendar files
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Data-ICal/
Source0:        http://www.cpan.org/authors/id/A/AL/ALEXMV/Data-ICal-%{version}.tar.gz

# inc/Module/Install* is broken, replace it with Module-Install-0.91
Patch0:         Data-ICal-%{version}.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  perl(CPAN) perl(YAML::Tiny) perl(File::Remove)

BuildRequires:  perl(Class::Accessor)
BuildRequires:  perl(Class::ReturnValue)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::LongString)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::NoWarnings)
BuildRequires:  perl(Test::Warn)
BuildRequires:  perl(Text::vFile::asData)

# for improved tests
BuildRequires:  perl(Test::Pod::Coverage) >= 1.04
BuildRequires:  perl(Test::Pod) >= 1.14

# rpm doesn't catch this
Requires:       perl(Class::Accessor)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
A Data::ICal object represents a VCALENDAR object as defined in the
iCalendar protocol (RFC 2445, MIME type "text/calendar"), as implemented in
many popular calendaring programs such as Apple's iCal.

%prep
%setup -q -n Data-ICal-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor --skipdeps
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Jul 29 2009 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.16-1
- Upstream update.
- Replace broken inc/Module/Install/* with a copy of Module::Install-0.91.

* Tue Mar 03 2009 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.15-1
- Upstream update.
- Reflect upstream maintainer having changed.

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Dec 30 2008 Ralf Corsépius <corsepiu@fedoraproject.org> 0.13-4
- BR: perl(Test::Pod::Coverage), perl(Test::Pod).

* Fri Sep 12 2008 Ralf Corsépius <corsepiu@fedoraproject.org> 0.13-3
- Fix minor typo in spec.

* Tue Aug 26 2008 Ralf Corsépius <corsepiu@fedoraproject.org> 0.13-2
- Clean up spec.
- Fedora submission.

* Mon Aug 11 2008 Ralf Corsépius <corsepiu@fedoraproject.org> 0.13-1
- Specfile autogenerated by cpanspec 1.77.
